{if $fehler != ''}
	<p class="message">{$fehler}</p>
{/if}

{if $alleEmpfehlungen|count}
<table>
	<thead>
		<tr>
			<th>Bild</th>
			<th>Artikel-Nr.</th>
			<th>Artikel-Name</th>
			<th>Mitarbeiter</th>
			<th>Empfehlungstext</th>
			<th>Aktiv</th>
			<th>Optionen</th>
		</tr>
	</thead>
	<tbody>
		{foreach from=$alleEmpfehlungen item=empfehlung}
		<tr>
			<td><img src="{$cVorschauBildPfad}{$empfehlung->cPfad}" alt="{$empfehlung->cName}" title="{$empfehlung->cName}"/></td>	
			<td>{$empfehlung->eArtikel}</td>
			<td>{$empfehlung->cName}</td>
			<td>{$empfehlung->mVorname}&nbsp;{$empfehlung->mNachname}</td>
			<td class="empfehlungstext">{$empfehlung->eText|truncate:250}</td>
			<td>{if $empfehlung->eAktiv=='1'}
					<img src="{$cPluginPfad}icons/aktiv.png" alt="aktiv" title="aktiv" />
				{else}
					<img src="{$cPluginPfad}icons/inaktiv.png" alt="inaktiv" title="inaktiv" />
				{/if}
			</td>
			<td>
				<a href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=deaktiviereEmpfehlung&empfehlungsID={$empfehlung->id}">
					<img class="floatLeft" src="{$cPluginPfad}icons/pause.png" alt="inaktiv" title="Pausieren" />
				</a>
				<a href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=aktiviereEmpfehlung&empfehlungsID={$empfehlung->id}">
					<img class="floatLeft" src="{$cPluginPfad}icons/play.png" alt="aktiv" title="Aktivieren" />
				</a>
				<a href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlung anlegen'}&aktion=aendereEmpfehlung&empfehlungsID={$empfehlung->id}&empfehlungsText={$empfehlung->eText|urlencode}">
					<img class="floatLeft" src="{$cPluginPfad}icons/bearbeiten.png" alt="bearbeiten" title="Bearbeiten" />
				</a>
				<a href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=loescheEmpfehlung&empfehlungsID={$empfehlung->id}">
					<img class="floatLeft" src="{$cPluginPfad}icons/loeschen.png" alt="loeschen" title="L�schen" />
				</a>
			</td>
		{/foreach}
		</tr>
	</tbody>
</table>
{else}
	<p class="message">Noch keine Empfehlungen angelegt!</p>
{/if}

<script type="text/javascript">	
	{literal}	
	
    $(function() {
      var t;
      $('.ajax_search .search').keyup(function() {
        var P = $(this).parents('.ajax_search');
        P.find('.results').html('<img src=\"{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}template/loading.gif\" />');
        if (t) {
          clearTimeout(t);
          t = setTimeout(function(){doSearch(P)}, 500);
        } else {
          t = setTimeout(function(){doSearch(P)}, 500);
        }
      });
      
      doSearch = function(target) {
        var searchTerm = target.find('.search').val();
        $.ajax(
                {
                  url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}suche_artikel.php',
                  type: "POST",
                  data: {'st': searchTerm},
                  success: function(data) {
                    target.find('.results').html(data);
                  }
                }
        );
      };
    });	
	{/literal}
</script>