{if $fehler != ''}
	<p class="message">{$fehler}</p>
{/if}

{if $alleEmpfehlungen|count}

{literal}
<script type="text/javascript" src="{/literal}{$cPluginPfad}{literal}js/jquery.quicksearch.js"></script>

<script type="text/javascript">
	$(document).ready(function() {
		$('input#id_search').quicksearch('table tbody tr');
                
                $("#sort-me").sortable({
                    forcePlaceholderSize: true,
                    items: "> tr",
                    tolerance: "pointer",
                    cursor: "pointer",
                    update: function( event, ui ) {
                        $.ajax({
                            url: "{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jstMitarbeiterEmpfehlung.ajax.php?action=reihenfolge",
                            cache: false,
                            type: "POST",
                            data: $("#sort-me").sortable("serialize")
                        });
                    }
                });
	});
</script>

<style>
    #sort-me > tr {
        border-bottom: none !important;
        width: auto !important;
        background: #ffffff !important;
        cursor: pointer;
    }
    
    .ui-sortable-placeholder
    {
        height: 60px;
    }
    
    .ui-sortable-helper
    {
        border-left: 1px solid #e5e5e5;
        -webkit-box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
        -moz-box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
        box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
    }
</style>
{/literal}

<form action="#">
	<fieldset>
		<input style="width: 300px; margin-bottom: 10px;" type="text" name="search" value="" id="id_search" placeholder="Empfehlungen filtern" autofocus />
	</fieldset>
</form>

<table>
	<thead>
		<tr>
			<th>Bild</th>
			<th>Artikel-Nr.</th>
			<th>Artikel-Name</th>
			<th>Mitarbeiter</th>
			<th>Empfehlungstext</th>
			<th>Datum</th>
			<th>Aktiv</th>
			<th>Optionen</th>
		</tr>
	</thead>
        <tbody id="sort-me">
		{foreach from=$alleEmpfehlungen item=empfehlung}
		<tr id="me_{$empfehlung->id}">
                        <td><img style="max-height:50px;" src="{$URL_SHOP}{$cVorschauBildPfad}{$empfehlung->cPfad}" alt="{$empfehlung->cName}" title="{$empfehlung->cName}"/></td>	
			<td>{$empfehlung->eArtikel}</td>
			<td><a href="{$URL_SHOP}/{if $empfehlung->cSeo}{$empfehlung->cSeo}{else}?a={$empfehlung->eArtikel}{/if}" target="_blank" title="zum Artikel">{$empfehlung->cName}</a></td>
			<td>{$empfehlung->mVorname}&nbsp;{$empfehlung->mNachname}</td>
			<td class="empfehlungstext">{$empfehlung->eText|truncate:250}</td>
			<td>{$empfehlung->eErstellt}</td>
			<td>{if $empfehlung->eAktiv=='1'}
					<img src="{$cPluginPfad}icons/aktiv.png" alt="aktiv" title="aktiv" />
				{else}
					<img src="{$cPluginPfad}icons/inaktiv.png" alt="inaktiv" title="inaktiv" />
				{/if}
			</td>
			
			<td>
				{if $empfehlung->eAktiv=='1'}
				<a href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=deaktiviereEmpfehlung&empfehlungsID={$empfehlung->id}">
					<img class="floatLeft" src="{$cPluginPfad}icons/pause.png" alt="inaktiv" title="Pausieren" />
				</a>
				{else}
				<a href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=aktiviereEmpfehlung&empfehlungsID={$empfehlung->id}">
					<img class="floatLeft" src="{$cPluginPfad}icons/aktivieren.png" alt="aktiv" title="Aktivieren" />
				</a>
				{/if}
				<a href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlung anlegen'}&aktion=aendereEmpfehlung&empfehlungsID={$empfehlung->id}&empfehlungsText={$empfehlung->eText|urlencode}">
					<img class="floatLeft" src="{$cPluginPfad}icons/bearbeiten.png" alt="bearbeiten" title="Bearbeiten" />
				</a>
				<a href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=loescheEmpfehlung&empfehlungsID={$empfehlung->id}">
					<img class="floatLeft" src="{$cPluginPfad}icons/loeschen.png" alt="loeschen" title="L&ouml;schen" />
				</a>
			</td>
		{/foreach}
		</tr>
	</tbody>
</table>
{else}
	<p class="message">Noch keine Empfehlungen angelegt!</p>
{/if}

<script type="text/javascript">	
	{literal}	
	
    $(function() {
      var t;
      $('.ajax_search .search').keyup(function() {
        var P = $(this).parents('.ajax_search');
        P.find('.results').html('<img src=\"{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}template/loading.gif\" />');
        if (t) {
          clearTimeout(t);
          t = setTimeout(function(){doSearch(P)}, 500);
        } else {
          t = setTimeout(function(){doSearch(P)}, 500);
        }
      });
      
      doSearch = function(target) {
        var searchTerm = target.find('.search').val();
        $.ajax(
                {
                  url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}suche_artikel.php',
                  type: "POST",
                  data: {'st': searchTerm},
                  success: function(data) {
                    target.find('.results').html(data);
                  }
                }
        );
      };
    });	
	{/literal}
</script>