{*
-------------------------------------------------------------------------------
JTL-Shop 3
File: info.tpl, smarty template inc file

http://www.jtl-stollen.de

Copyright (c) 2014 WebStollen
-------------------------------------------------------------------------------
*}
<table id="jst_support_tab">
  <tr>
    <th>
      Lizenzinformationen:
    </th>
    <td>
      <small class="check_info hidden" title="Letzter Check">{$last_check}</small>
      {if !$oLizenzData}
        <b class="lic_failed">Lizenzpr&uuml;fung fehlgeschlagen.</b> {if $invalid}(<a href='?kPlugin={$oPlugin->kPlugin}&recheck=1'>aktualisieren</a>){/if}<br/>
        <a class="button orange" target="_blank" href="http://www.jtl-stollen.de/navi.php?suchausdruck={$oPlugin->cPluginID}">Lizenz kaufen</a>
      {else}
        <b>{if $oLizenzData->testLicence}Testlizenz{else}Standardlizenz{/if}</b> {if $invalid}(<a href='?kPlugin={$oPlugin->kPlugin}&recheck=1'>aktualisieren</a>){/if}<br/>
        {if $oLizenzData->testLicence}G&uuml;ltig bis:{else}Subskription bis:{/if} <b class="{if $smarty.now > $oLizenzData->validUntil}lic_failed{else}lic_ok{/if}">{$oLizenzData->validUntil|date_format:"%d.%m.%Y"}</b><br/>
        {if $oLizenzData->testLicence || $smarty.now > $oLizenzData->validUntil}
          <a class="button orange" target="_blank" href="http://www.jtl-stollen.de/navi.php?suchausdruck={$oPlugin->cPluginID}">{if $oLizenzData->testLicence}Lizenz kaufen{else}Subskription verl&auml;ngern{/if}</a>
        {/if}
      {/if}
    </td>
    <td>
      <img class='logo' src="//cdn.jtl-stollen.de/assets/img/logo1.png" style="height: 64px; float: right; margin-right: 5px;" />
      Ihre Version: <strong>{$oPlugin->nVersion}</strong><br/>
      {if $latestVersion}
        Aktuelle Version: <strong>{$latestVersion->nVersion}</strong> ({$latestVersion->dCreateDate})<br/>
        {if $oPlugin->nVersion < $latestVersion->nVersion}
          {if $oLizenzData && $oLizenzData->validUntil > $latestVersion->dCreateDate|strtotime}
            <a class=" button orange" href="{$latestVersion->cDownloadURL}">Download</a>
          {else}
            <i>F&uuml;r ein Update m&uuml;ssen Sie Ihre Subskription verl&auml;ngern.</i>
          {/if}
        {else}
          Plugin ist auf dem aktuellsten Stand!
        {/if}
      {/if}
    </td>
  </tr>
  <tr>
    <th>Mehr Infos:</th>
    <td colspan="2" style="line-height:32px;">
      <img id="loading" style="display: none; float:right" src="//cdn.jtl-stollen.de/assets/img/loading.gif">

      <a class="nav button orange" href="http://www.jtl-stollen.de/plugin-aktionstab?exclusive_content=1" target="support">Infos</a> 
      <a class="nav button orange" href="http://plugins.jtl-stollen.de/doc/{$oPlugin->cPluginID}?if=2&" target="support">Dokumentation</a>
      <a class="nav button orange" href="http://plugins.jtl-stollen.de/support?{$cSupportQuery}" target="support">Support</a>
    </td>
  </tr>
  <tr>
    <td colspan="3">
      <iframe frameborder="0" style="border: 0px;" id="support" name="support" src="" height="800" width="100%"></iframe>
    </td>
  </tr>
</table>
<script>
  // <!--
  {if $reload}
  window.location.href = "?kPlugin={$oPlugin->kPlugin}";
  {/if}
  $.getScript("//cdn.jtl-stollen.de/assets/js/default.js?pluginId={$oPlugin->cPluginID}");
  {literal}  
  $(document).ready(function() {
  {/literal}
  {if $invalid}{literal}
      setTimeout(function() {
        $('ul.tabbernav a[title="Support"]').click();
      }, 500);
      setTimeout(function() {
        $('ul.tabbernav a[title="Support"]').click();
      }, 1000);
  {/literal}{/if}
  {literal}
    });
  {/literal}
// -->
</script>  
