{if $oEmpfehlung_arr|count}

    {foreach from=$oEmpfehlung_arr item=oEmpfehlung}
        <div class="jst_me{$oEmpfehlung->eMitarbeiter} jst_mitarbeiter_empfehlung">
            <div>	
                <div class="artikelbox">
                    {if isset($oEmpfehlung->oHersteller->cBildpfadKlein)}
                        <div class="hersteller">
                            <a href="{$oEmpfehlung->oHersteller->cSeo}">
                                <img src="{$oEmpfehlung->oHersteller->cBildpfadKlein}" alt="{$oEmpfehlung->oHersteller->cName}" title="{$oEmpfehlung->oHersteller->cName}"/>
                            </a>
                        </div>
                    {/if}

                    <div class="clear"></div>
                    <div class="artikelBild">
                        <a href="{$oEmpfehlung->oArtikel->cSprachURL}">
                            <img src="{$oEmpfehlung->oArtikel->Bilder.0->cPfadNormal}" alt="{$oEmpfehlung->oArtikel->cName}" title="{$oEmpfehlung->oArtikel->cName}"/>
                        </a>
                    </div>

                    <div class="article_price">
                        <ul>
                            <li>
                                <span class='price_label'>
                                    {if $oEmpfehlung->oArtikel->nVariationsAufpreisVorhanden == 1 || $oEmpfehlung->oArtikel->bHasKonfig}
                                        {lang key='priceStarting'}
                                    {elseif $oEmpfehlung->oArtikel->Preise->rabatt > 0}
                                        {lang key='nowOnly'}
                                    {elseif $oEmpfehlung->oArtikel->Preise->Sonderpreis_aktiv}
                                        {lang key='specialPrice'}
                                    {/if}
                                </span>
                                <span class='price'>{$oEmpfehlung->oArtikel->Preise->cVKLocalized.0}</span>
                            </li>
                            <li>
                                <span class='vat_info'>{$oEmpfehlung->oArtikel->cMwstVersandText}</span>
                            </li>
                        </ul>
                    </div>
                    <a href="{$oEmpfehlung->oArtikel->cSprachURL}"><button class='submit' type='submit' name='artikelAnzeigen'>{lang key='details'}</button></a>
                </div>

                <div class="jst_artikel">
                    <div class="jst_mitarbeiter">
                        {if $oEmpfehlung->mURL}
                            <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}"/></div>
                                <div class="mitarbeiterName">{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}</div>
                            </a>
                        {else}
                            <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mNachname} {$oEmpfehlung->mNachname}"/></div>
                            <div class="mitarbeiterName">{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}</div>
                        {/if}
                    </div>
                    <div class="artikelEmpfehlung">
                        <div class="artikelNameHeader"><a href="{$oEmpfehlung->oArtikel->cSprachURL}">{$oEmpfehlung->oArtikel->cName}</a></div>
                        <div class="empfehlungsText">{$oEmpfehlung->eText}</div>
                    </div>
                    <a class="mitarbeiterLink" href="#" data="jst_me{$oEmpfehlung->eMitarbeiter}">{$avatarHover} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}</a>
                </div>


                <div class="clear"></div>
                <div class="alleEmpfehlungen">{$alleEmpfehlungenAnzeigen}</div>
            </div>
        </div>	
    {/foreach}

    <script>
        {literal}
            $(document).ready(function () {
                $('.mitarbeiterLink').click(function () {
                    $('.jst_mitarbeiter_empfehlung').hide();
                    $('.alleEmpfehlungen, .' + $(this).attr('data')).show();
                    return false;
                });

                $('.alleEmpfehlungen').click(function () {
                    $('.jst_mitarbeiter_empfehlung').show();
                    $('.alleEmpfehlungen').hide();
                });
            });
        {/literal}
    </script>
{/if}