{if $oEmpfehlung_arr|count}
    {foreach from=$oEmpfehlung_arr item=oEmpfehlung}
        <div class="jst_me{$oEmpfehlung->eMitarbeiter} jst_mitarbeiter_empfehlung_v4 row">
            <div>
                {if isset($oEmpfehlung->oArtikel->cName)}
                    <div class="artikelbox col-md-4">
                        {if isset($oEmpfehlung->oHersteller->cBildpfadKlein)}
                            <div class="hersteller">
                                <a href="{$oEmpfehlung->oHersteller->cSeo}">
                                    <img src="{$oEmpfehlung->oHersteller->cBildpfadKlein}" alt="{$oEmpfehlung->oHersteller->cName}" title="{$oEmpfehlung->oHersteller->cName}"/>
                                </a>
                            </div>
                        {/if}
                        <div class="clear"></div>
                        <div class="artikelBild">
                            <a href="{$oEmpfehlung->oArtikel->cSprachURL}">
                                <img src="{$oEmpfehlung->oArtikel->Bilder.0->cPfadNormal}" alt="{$oEmpfehlung->oArtikel->cName}" title="{$oEmpfehlung->oArtikel->cName}"/>
                            </a>
                        </div>
    
                        <div class="article_price">
                            <ul>
                                <li>
                                    <span class='price_label'>
                                        {if $oEmpfehlung->oArtikel->nVariationsAufpreisVorhanden == 1 || $oEmpfehlung->oArtikel->bHasKonfig}
                                            {lang key='priceStarting'}
                                        {elseif $oEmpfehlung->oArtikel->Preise->rabatt > 0}
                                            {lang key='nowOnly'}
                                        {elseif $oEmpfehlung->oArtikel->Preise->Sonderpreis_aktiv}
                                            {lang key='specialPrice'}
                                        {/if}
                                    </span>
                                    <span class='price'>{$oEmpfehlung->oArtikel->Preise->cVKLocalized.0}</span>
                                </li>
                                <li>
                                    <span class='vat_info'>{$oEmpfehlung->oArtikel->cMwstVersandText}</span>
                                </li>
                            </ul>
                        </div>
                        <a href="{$oEmpfehlung->oArtikel->cSprachURL}" class="btn btn-default btn-sm">{lang key='details'}</a>
                    </div>
                {else}
                    {if !$noButton}
                        <div class="kategoriebox artikelbox col-md-4">
                            <div class="article_price">
                                <ul>
                                    <li>
                                        <p>{$oEmpfehlung->cNameKategorie}</p>
                                    </li>
                                    <li>
                                        <a href="{$URL_SHOP}/{$oEmpfehlung->cSeoKategorie}" class="btn btn-default btn-sm">{$details_kategorie}</a>
                                    </li>
                                </ul>
                            
                            </div>
                        </div>
                    {/if}
                {/if}

                <div class="jst_artikel col-md-8">
                    <div class="jst_mitarbeiter col-md-4">
                        {if $oEmpfehlung->mURL}
                            <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}"/></div>
                                <div class="mitarbeiterName">{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}</div>
                            </a>
                        {else}
                            <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mNachname} {$oEmpfehlung->mNachname}"/></div>
                            <div class="mitarbeiterName">{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}</div>
                        {/if}
                    </div>
                    <div class="artikelEmpfehlung col-md-8">
                        <div class="artikelNameHeader"><a href="{$oEmpfehlung->oArtikel->cSprachURL}">{$oEmpfehlung->oArtikel->cName}</a></div>
                        <div class="empfehlungsText">{$oEmpfehlung->eText}</div>
                    </div>
                    <a class="mitarbeiterLink col-md-12" href="#" data="jst_me{$oEmpfehlung->eMitarbeiter}">{$avatarHover} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}</a>
                </div>


                <div class="clear"></div>
                <div class="alleEmpfehlungen col-md-12">{$alleEmpfehlungenAnzeigen}</div>
            </div>
        </div>	
    {/foreach}

    <script>
        {literal}
            $(document).ready(function () {
                $('.mitarbeiterLink').click(function () {
                    $('.jst_mitarbeiter_empfehlung_v4').hide();
                    $('.alleEmpfehlungen, .' + $(this).attr('data')).show();
                    return false;
                });

                $('.alleEmpfehlungen').click(function () {
                    $('.jst_mitarbeiter_empfehlung_v4').show();
                    $('.alleEmpfehlungen').hide();
                });
            });
        {/literal}
    </script>
{/if}