<script type="text/javascript" src="{$URL_SHOP}/{$smarty.const.PFAD_CKEDITOR}/adapters/jquery.js"></script>  

{if $alleMitarbeiter|count}
    <form id="empfehlung" method="post" action="plugin.php?kPlugin={$oPlugin->kPlugin}">
        <input type="hidden" name="kPlugin" value="{$oPlugin->kPlugin}" />
        <input type="hidden" name="kPluginAdminMenu" value="{getAdminMenu name='Empfehlungen verwalten'}" />
        <input type="hidden" name="aktion" value="{if !(isset($aendereEmpfehlung) && $aendereEmpfehlung)}empfehlungSpeichern{else}bearbeiteEmpfehlung{/if}" />

        <input type="hidden" name="artikelID" value="{if isset($empfArtikelID)}{$empfArtikelID}{/if}" />
        <input type="hidden" name="artikelBild" value="{if isset($empfArtikelBild)}{$empfArtikelBild}{/if}" />
        <input type="hidden" name="artikelName" value="{if isset($empfArtikelName)}{$empfArtikelName}{/if}" />
        <input type="hidden" name="empfehlungsID" value="{if isset($empfehlungsID)}{$empfehlungsID}{/if}" />
        <input type="hidden" name="kategorieID" value="{if isset($empfKategorieID)}{$empfKategorieID}{/if}" />
        <input type="hidden" name="kategorieName" value="{if isset($empfKategorieName)}{$empfKategorieName}{/if}" />

        {*{if !$aendereEmpfehlung}*}
        <div class="input-group">
            <button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="right" title="" data-original-title="Die Empfehlung kann bei einem Artikel, einer Kategorie oder beidem angezeigt werden.">
                <i class="fa fa-exclamation"></i>
            </button>
        </div>
        
        <div class="input-group">
            <span class="input-group-addon">
                <label for="ajax-search">Artikel ausw&auml;hlen</label>
            </span>
            <span class="input-group-wrap ajax_search artikel" ref="artikel">
                <input id="ajax-search" type="text" class="search form-control" value="{if isset($empfArtikelName)}{$empfArtikelName}{/if}" placeholder="Artikelname/-nummer eingeben..." />
                <div class="results_wrapper">
                    <table class="results table table-hover small" style="margin-bottom: 0;">
                    </table>
                </div>
            </span>
            <span class="input-group-addon">
                <button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Bei welchem Artikel soll diese Empfehlung erscheinen?">
                    <i class="fa fa-question"></i>
                </button>
            </span>
        </div>
        <div class="input-group">
            <span class="input-group-addon">
                <label for="ajax-search">Kategorie ausw&auml;hlen</label>
            </span>
            <span class="input-group-wrap ajax_search kategorie" ref="kategorie">
                <input id="ajax-search" type="text" class="search form-control" value="{if isset($empfKategorieName)}{$empfKategorieName}{/if}" placeholder="Kategoriename eingeben..." />
                <div class="results_wrapper">
                    <table class="results table table-hover small" style="margin-bottom: 0;">
                    </table>
                </div>
            </span>
            <span class="input-group-addon">
                <button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Bei welcher Kategorie soll diese Empfehlung erscheinen?">
                    <i class="fa fa-question"></i>
                </button>
            </span>
        </div>
        <div class="input-group">
            <span class="input-group-addon">
                <label for="alleMitarbeiterAuswahl">Mitarbeiter ausw&auml;hlen</label>
            </span>
            <span class="input-group-wrap">
                <select id="alleMitarbeiterAuswahl" name="mitarbeiterID" class="form-control combo">
                    {foreach from=$alleMitarbeiter item=mitarbeiter}
                        <option value="{$mitarbeiter->id}" {if isset($von_mitarbeiter) && $mitarbeiter->id == $von_mitarbeiter}selected{/if}>{$mitarbeiter->mVorname} {$mitarbeiter->mNachname}</option>
                    {/foreach}
                </select>
            </span>
        </div>
        {*{/if}*}

        {if isset($artikelAuswahlErforderlich) && $artikelAuswahlErforderlich=='nein'}
            <div class="input-group">
                <span class="input-group-addon">
                    <label for="alleMitarbeiterAuswahl">Empfehlungstext{if isset($aendereEmpfehlung) && $aendereEmpfehlung} &auml;ndern{/if}</label>
                </span>
                <span class="input-group-wrap">
                    <textarea name="empfehlungsText" class="ckeditor form-control">{if isset($empfehlungstextCache)}{$empfehlungstextCache}{/if}</textarea>
                </span>
            </div>

            <input type="submit" value="Speichern" class="btn btn-primary" />
        {/if}

        <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen verwalten'}&aktion=abbrechen" class="btn btn-default">Abbrechen</a>
    </form>
{else}
    <div class="alert alert-danger">Es muss mindestens ein Mitarbeiter angelegt sein, um eine Empfehlung erstellen zu k&ouml;nnen</div>
{/if}

<script type="text/javascript">
    {literal}	
    $(function () {
        var t;
        $('.ajax_search .search').keyup(function () {
            var P = $(this).parents('.ajax_search');
            P.find('.results').html('<img src=\"{/literal}{$oPlugin->cAdminmenuPfadURL}/icons/ajax-loader.gif{literal}\" />');
            if (t) {
                clearTimeout(t);
                t = setTimeout(function () {
                    doSearch(P)
                }, 500);
            } else {
                t = setTimeout(function () {
                    doSearch(P)
                }, 500);
            }
        });

        doSearch = function (target) {
            var searchTerm = target.find('.search').val();

            if(target.hasClass('kategorie')) {
                if (searchTerm.length > 0)
                {
                    $.ajax({
                        url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jstMitarbeiterEmpfehlung.ajax.php?aktion=suche',
                        type: "POST",
                        data: {
                            {/literal}
                                'st': searchTerm,
                                'was': 'kategorie',
                                'id': '{if isset($empfehlungsID)}{$empfehlungsID}{/if}',
                                'kArtikel': '{if isset($empfArtikelID)}{$empfArtikelID}{/if}',
                                'kArtikelName': '{if isset($empfArtikelName)}{$empfArtikelName}{/if}',
                                'update': '{if isset($aendereEmpfehlung)}{$aendereEmpfehlung}{/if}'
                            {literal}
                        },
                        success: function (data) {
                            target.find('.results').html(data);
                        }
                    });
                } else {
                    target.find('.results').html('');
                    
                    let href = window.location.href;
                    let match = href.match(/kKategorie=\d+/);
                    
                    if(match == null) {
                        window.location.replace(href + (href.indexOf('?') > 0 ? '&' : '?') + 'kKategorie=&kKategorieName=');
                    } else {
                        window.location.replace(href.replace(/kKategorie=\d+/, 'kKategorie=').replace(/kKategorieName=[^&]+/, 'kKategorieName='));
                    }
                }
            } else if(target.hasClass('artikel')) {
                if (searchTerm.length > 0)
                {
                    $.ajax({
                        url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jstMitarbeiterEmpfehlung.ajax.php?aktion=suche',
                        type: "POST",
                        data: {
                            {/literal}
                                'st': searchTerm,
                                'was': 'artikel',
                                'id': '{if isset($empfehlungsID)}{$empfehlungsID}{/if}',
                                'kKategorie': '{if isset($empfKategorieID)}{$empfKategorieID}{/if}',
                                'kKategorieName': '{if isset($empfKategorieName)}{$empfKategorieName}{/if}',
                                'update': '{if isset($aendereEmpfehlung)}{$aendereEmpfehlung}{/if}'
                            {literal}
                        },
                        success: function (data) {
                            target.find('.results').html(data);
                        }
                    });
                } else {
                    target.find('.results').html('');
                    
                    let href = window.location.href;
                    let match = href.match(/kArtikel=\d+/);
                    
                    if(match == null) {
                        window.location.replace(href + (href.indexOf('?') > 0 ? '&' : '?') + 'kArtikel=&kArtikelName=');
                    } else {
                        window.location.replace(href.replace(/kArtikel=\d+/, 'kArtikel=').replace(/kArtikelName=[^&]+/, 'kArtikelName='));
                    }
                }
            }
        };
        
        $(document).on('click', 'a[role=tab]', () => false);
    });

    $('textarea.ckeditor').ckeditor();
    if (typeof CKEDITOR != 'undefined')
    {
        CKEDITOR.config.startupMode = 'wysiwyg';
        CKEDITOR.config.htmlEncodeOutput = false;
        CKEDITOR.config.entities = false;
        CKEDITOR.config.enterMode = 2;
        CKEDITOR.config.entities_latin = true;
        CKEDITOR.config.entities_greek = true;
        CKEDITOR.config.filebrowserBrowseUrl = '{$URL_SHOP}/includes/libs/kcfinder/browse.php?type=files';
        CKEDITOR.config.filebrowserImageBrowseUrl = '{$URL_SHOP}/includes/libs/kcfinder/browse.php?type=images';
        CKEDITOR.config.filebrowserFlashBrowseUrl = '{$URL_SHOP}/includes/libs/kcfinder/browse.php?type=flash';
        CKEDITOR.config.filebrowserUploadUrl = '{$URL_SHOP}/includes/libs/kcfinder/upload.php?type=files';
        CKEDITOR.config.filebrowserImageUploadUrl = '{$URL_SHOP}/includes/libs/kcfinder/upload.php?type=images';
        CKEDITOR.config.filebrowserFlashUploadUrl = '{$URL_SHOP}/includes/libs/kcfinder/upload.php?type=flash';
    }
    {/literal}
</script>