{if $fehler != ''}
    <p class="message">{$fehler}</p>
{/if}

{if $alleMitarbeiter|count}
    <a class="mitarbeiterHinzufuegen" style="background: url('{$oPlugin->cAdminmenuPfadURL}icons/hinzufuegen.png') no-repeat 0 2px transparent" onclick="openUploadWindow();
            return false;" href="#">Neuer Mitarbeiter</a>

    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Vorname</th>
                <th>Verlinkung</th>
                <th>Avatar</th>
                <th>Optionen</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$alleMitarbeiter item=mitarbeiter}
                <tr>
                    <td>{$mitarbeiter->mNachname}</td>
                    <td>{$mitarbeiter->mVorname}</td>
                    <td>{$mitarbeiter->mCMS}</td>
                    <td>{if $mitarbeiter->mAvatar==''}
                        <a href="#" onclick="oeffneUploadFenster({$mitarbeiter->id}); return false;"> 
                            <img src="{$oPlugin->cAdminmenuPfadURL}icons/noAvatar.png" alt="Avatar" title="Avatar hinzuf&uuml;gen" />
                        </a>
                        {else}
                            <a href="#" onclick="oeffneUploadFenster({$mitarbeiter->id}); return false;"> 	
                                <img class="avatar" src="{$URL_SHOP}/{$cBilderPfad}{$mitarbeiter->mAvatar}" alt="{$mitarbeiter->mNachname}" title="Avatar &auml;ndern" />
                            </a>
                            {/if}
                            </td>
                            <td>
                                <a onclick="return confirm('Mitarbeiter und zuge&ouml;rige Empfehlungen l&ouml;schen?')"  href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Mitarbeiter verwalten'}&aktion=loescheMitarbeiter&mitarbeiterID={$mitarbeiter->id}">
                                    <img src="{$oPlugin->cAdminmenuPfadURL}icons/loeschen.png" alt="Loeschen" title="L&ouml;schen" />
                                </a> 
                                <a  href="#" onclick="openChangeWindow({$mitarbeiter->id}, '{$mitarbeiter->mNachname|escape:"quotes"}', '{$mitarbeiter->mVorname|escape:"quotes"}', '{$mitarbeiter->mCMS|escape:"quotes"}', '{$mitarbeiter->mLinkArt|escape:"quotes"}'); return false;">
                                    <img src="{$oPlugin->cAdminmenuPfadURL}icons/bearbeiten.png" alt="Bearbeiten" title="Bearbeiten" />
                                </a> 
                            </td>
                            {/foreach}
                            </tr>
                        </tbody>
                    </table>
                    {else}
                        <p class="message">Noch keine Mitarbeiter angelegt!</p>
                        <a class="mitarbeiterHinzufuegen" style="background: url('{$oPlugin->cAdminmenuPfadURL}icons/hinzufuegen.png') no-repeat 0 2px transparent" onclick="openUploadWindow();
                                return false;" href="#">Neuer Mitarbeiter</a>
                        {/if}

                            <div id="settings">
                                <form id="mitarbeiter" method="post">
                                    <div id="handle" style="cursor: move; position: absolute; left: 0; top: 0; width: 520px; padding: 10px; background: linear-gradient(#A3A3A3, #E0E0E0) repeat scroll 0 0 transparent;">
                                        Mitarbeiter hinzuf&uuml;gen<span style="display: block; font-weight: bold; color: #fff; position: absolute; right: 0; top: 0; padding: 10px 16px; background: #e30613; cursor: pointer;" onclick="$('#mitarbeiter').hide('slow');">X</span>
                                    </div>

                                    <input type="hidden" name="kPlugin" value="{$oPlugin->kPlugin}" />
                                    <input type="hidden" name="kPluginAdminMenu" value="{getAdminMenu name='Mitarbeiter verwalten'}" />
                                    <input type="hidden" name="aktion" value="neuerMitarbeiter" />

                                    <div class="item">
                                        <div class="name">
                                            Vorname
                                        </div>
                                        <div class="for">
                                            <input type="text" name="mVorname"/>
                                            <div class="help"  ref="1" title="Vorname des Autors"></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="name">
                                            Nachname
                                        </div>
                                        <div class="for">
                                            <input type="text" name="mName"/>
                                            <div class="help"  ref="2" title="Nachname des Autors"></div>
                                        </div>
                                    </div>

                                    <div class="item">
                                        <div class="name">
                                            Avatar-Verlinkung
                                        </div>
                                        <div class="for">
                                            <input type="text" name="mCMS"/>
                                            <div class="help"  ref="4" title="Ziel der Verlinkung des Avatars"></div>
                                        </div>
                                    </div>

                                    <div class="item">
                                        <div class="name">
                                            Art der Avatar-Verlinkung
                                        </div>
                                        <div class="for">
                                            <select name="mLinkArt" style="width: 100px;">
                                                <Option value="extern" sort="0">Externe Verlinkung</Option>
                                                <Option value="shop" sort="1">Shop-interne Seite</Option>
                                            </select>
                                            <div class="help"  ref="5" title="Avatar Verlinkung externe URL oder interne Shop-Seite?"></div>
                                        </div>
                                    </div>		
                                    <input type="submit" value="Speichern" class="button orange" />
                                </form>
                            </div>

                            <div id="settings">
                                <form id="mitarbeiterBearbeiten" method="post">
                                    <div id="handle" style="cursor: move; position: absolute; left: 0; top: 0; width: 520px; padding: 10px; background: linear-gradient(#A3A3A3, #E0E0E0) repeat scroll 0 0 transparent;">
                                        Mitarbeiter bearbeiten<span style="display: block; font-weight: bold; color: #fff; position: absolute; right: 0; top: 0; padding: 10px 16px; background: #e30613; cursor: pointer;" onclick="$('#mitarbeiterBearbeiten').hide('slow');">X</span>
                                    </div>

                                    <input type="hidden" name="kPlugin" value="{$oPlugin->kPlugin}" />
                                    <input type="hidden" name="kPluginAdminMenu" value="{getAdminMenu name='Mitarbeiter verwalten'}" />
                                    <input type="hidden" name="aktion" value="bearbeiteMitarbeiter" />
                                    <input type="hidden" name="mitarbeiterID" value="" id="mitarbeiterID" />

                                    <div class="item">
                                        <div class="name">
                                            Vorname
                                        </div>
                                        <div class="for">
                                            <input id="mVorname" type="text" name="mVorname"/>
                                            <div class="help"  ref="6" title="Vorname des Autors"></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="name">
                                            Nachname
                                        </div>
                                        <div class="for">
                                            <input id="mName" type="text" name="mName"/>
                                            <div class="help"  ref="7" title="Nachname des Autors"></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="name">
                                            Avatar-Verlinkung
                                        </div>
                                        <div class="for">
                                            <input id="mCMS" type="text" name="mCMS"/>
                                            <div class="help"  ref="9" title="Ziel der Verlinkung des Avatars"></div>
                                        </div>
                                    </div>

                                    <div class="item">
                                        <div class="name">
                                            Art der Avatar-Verlinkung
                                        </div>
                                        <div class="for">

                                            <select id="mLinkArt" name="mLinkArt" style="width: 100px;">
                                                <Option id="optionExtern" value="extern" sort="0">Externe Verlinkung</Option>
                                                <Option id="optionShop" value="shop" sort="1">Shop-interne CMS-Seite</Option>
                                            </select>

                                            <div class="help"  ref="10" title="Avatar Verlinkung externe URL oder interne Shop-Seite?"></div>
                                        </div>
                                    </div>		
                                    <input type="submit" value="Speichern" class="button orange" />
                                </form>

                            </div>
                            <form id="upload" method="post" enctype="multipart/form-data">
                                <div id="handle" style="cursor: move; position: absolute; left: 0; top: 0; width: 520px; padding: 10px; background: linear-gradient(#A3A3A3, #E0E0E0) repeat scroll 0 0 transparent;">
                                    Avatar hinzuf&uuml;gen<span style="display: block; font-weight: bold; color: #fff; position: absolute; right: 0; top: 0; padding: 10px 16px; background: #e30613; cursor: pointer;" onclick="$('#upload').hide('slow');">X</span>
                                </div>		
                                <input type="hidden" name="kPlugin" value="{$oPlugin->kPlugin}" />
                                <input type="hidden" name="kPluginAdminMenu" value="{getAdminMenu name='Mitarbeiter verwalten'}" />
                                <input type="hidden" name="aktion" value="speichereAvatar" />
                                <input type="hidden" name="mitarbeiterID" value="" id="mitarbeiterIDava" />
                                <table>
                                    <tr>
                                        <td>Bild hochladen</td>
                                        <td>
                                            <input type="file" name="file" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><a onclick="$('#upload').hide('slow');" class="button">Abbrechen</a></td>
                                        <td>
                                            <input type="submit" value="Speichern" class="button orange" />
                                        </td>
                                    </tr>
                                </table>
                            </form>

                            <script type="text/javascript">
                                {literal}
                                    function oeffneUploadFenster(id) {
                                        $('#mitarbeiterIDava').val(id);
                                        $('#upload').css("left", $(window).width() / 2 - 270);
                                        $('#upload').show('slow');
                                    }

                                    $('#upload').draggable({
                                        handle: "#handle"
                                    });

                                    function openUploadWindow() {
                                        $('#mitarbeiter').css("left", $(window).width() / 2 - 270);
                                        $('#mitarbeiter').show('slow');
                                    }

                                    $('#mitarbeiter').draggable({
                                        handle: "#handle"
                                    });

                                    function openChangeWindow(id, name, vorname, cms, linkArt) {
                                        $('#mitarbeiterID').val(id);
                                        $('#mName').val(name);
                                        $('#mVorname').val(vorname);
                                        $('#mCMS').val(cms);

                                        if (linkArt == 'extern') {
                                            $('#optionExtern').attr('selected', true);
                                        } else {
                                            $('#optionShop').attr('selected', true);
                                        }

                                        $('#mitarbeiterBearbeiten').css("left", $(window).width() / 2 - 270);
                                        $('#mitarbeiterBearbeiten').show('slow');
                                    }

                                    $('#mitarbeiterBearbeiten').draggable({
                                        handle: "#handle"
                                    });
                                {/literal}
                            </script>