{if isset($cMessage)}
    <div style="background: linear-gradient(#cecece, #f8fbf8); border: 1px solid #888; box-shadow: 0 0 8; margin: 0 0 10px; padding: 12px 20px;">
        {$cMessage}
    </div>
{/if}

{if isset($fehler)}
    <p class="message">{$fehler}</p>
{/if}

{if $alleEmpfehlungen|@count}

    {literal}
        <script type="text/javascript" src="{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}js/jquery.quicksearch.js"></script>

        <script type="text/javascript">
            $(document).ready(function () {
                $('input#id_search').quicksearch('table tbody tr');

                $("#sort-me").sortable({
                    forcePlaceholderSize: true,
                    items: "> tr",
                    tolerance: "pointer",
                    cursor: "pointer",
                    update: function (event, ui) {
                        $.ajax({
                            url: "{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jstMitarbeiterEmpfehlung.ajax.php?aktion=reihenfolge",
                            cache: false,
                            type: "POST",
                            data: $("#sort-me").sortable("serialize")
                        });
                    },
                    helper: function(event, ui) {
                        ui.children().each(function () {
                            $(this).width($(this).width());
                        });
                        return ui;
                    }
                });
            });
        </script>

        <style>
            #sort-me > tr {
                border-bottom: none !important;
                width: auto !important;
                background: #ffffff !important;
                cursor: pointer;
            }

            .ui-sortable-placeholder
            {
                height: 60px;
            }

            .ui-sortable-helper
            {
                border-left: 1px solid #e5e5e5;
                -webkit-box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
                -moz-box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
                box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
            }
            
            .searchform {
                display: inline-block;
            }
            
            #neue-empfehlung {
                float: right;
            }
            
        </style>
    {/literal}

    <form class="searchform" action="#">
        <fieldset>
            <input class="form-control" style="width: 300px; margin-bottom: 10px;" type="text" name="search" value="" id="id_search" placeholder="Empfehlungen filtern" autofocus />
        </fieldset>
    </form>
    
    <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen verwalten'}&aktion=aendereEmpfehlung" class="btn btn-primary" id="neue-empfehlung"><i class="fa fa-plus"></i></a>

    <table class="table">
        <thead>
            <tr>
                <th>Bild</th>
                <th>Artikel-Nr.</th>
                <th>Artikel-Name</th>
                <th>Kategorie-Nr.</th>
                <th>Kategorie-Name</th>
                <th>Mitarbeiter</th>
                <th>Empfehlungstext</th>
                <th>Datum</th>
                <th>Aktiv</th>
                <th>Optionen</th>
            </tr>
        </thead>
        <tbody id="sort-me">
            {foreach from=$alleEmpfehlungen item=empfehlung}
                <tr id="me_{$empfehlung->id}">
                    <td><img style="max-height:50px;" src="{$URL_SHOP}/{$empfehlung->oArtikel->Bilder.0->cPfadNormal}" alt="{$empfehlung->cName}" title="{$empfehlung->cName}"/></td>	
                    <td>{$empfehlung->eArtikel}</td>
                    <td>{if $empfehlung->cName}<a href="{$URL_SHOP}/{if $empfehlung->cSeo}{$empfehlung->cSeo}{else}?a={$empfehlung->eArtikel}{/if}" target="_blank" title="zum Artikel">{$empfehlung->cName}</a>{else}(leer){/if}</td>
                    <td>{$empfehlung->eKategorie}</td>
                    <td>{if $empfehlung->cNameKategorie}<a href="{$URL_SHOP}/{if $empfehlung->cSeoKategorie}{$empfehlung->cSeoKategorie}{else}?k={$empfehlung->eKategorie}{/if}" target="_blank" title="zur Kategorie">{$empfehlung->cNameKategorie}</a>{else}(leer){/if}</td>
                    <td>{$empfehlung->mVorname} {$empfehlung->mNachname}</td>
                    <td class="empfehlungstext">{$empfehlung->eText|strip_tags|truncate:250}</td>
                    <td>{$empfehlung->eErstellt}</td>
                    <td>
                        {if $empfehlung->eAktiv=='1'}
                            <img src="{$oPlugin->cAdminmenuPfadURL}icons/aktiv.png" alt="aktiv" title="aktiv" />
                        {else}
                            <img src="{$oPlugin->cAdminmenuPfadURL}icons/inaktiv.png" alt="inaktiv" title="inaktiv" />
                        {/if}
                    </td>
                    <td>
                        {if $empfehlung->eAktiv=='1'}
                            <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen verwalten'}&aktion=deaktiviereEmpfehlung&empfehlungsID={$empfehlung->id}"><img class="floatLeft" src="{$oPlugin->cAdminmenuPfadURL}icons/pause.png" alt="inaktiv" title="Pausieren" /></a>
                        {else}
                            <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen verwalten'}&aktion=aktiviereEmpfehlung&empfehlungsID={$empfehlung->id}"><img class="floatLeft" src="{$oPlugin->cAdminmenuPfadURL}icons/aktivieren.png" alt="aktiv" title="Aktivieren" /></a>
                        {/if}
                        <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen verwalten'}&aktion=aendereEmpfehlung&empfehlungsID={$empfehlung->id}"><img class="floatLeft" src="{$oPlugin->cAdminmenuPfadURL}icons/bearbeiten.png" alt="bearbeiten" title="Bearbeiten" /></a>
                        <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen verwalten'}&aktion=loescheEmpfehlung&empfehlungsID={$empfehlung->id}"><img class="floatLeft" src="{$oPlugin->cAdminmenuPfadURL}icons/loeschen.png" alt="loeschen" title="L&ouml;schen" /></a>
                    </td>
                </tr>
            {/foreach}
        </tbody>
    </table>
{else}
    <style>
    {literal}
        .alert-inner-row {
            margin: 30px auto 0 auto;
            width: 100%;
        }
        
        .alert-inner-row a {
            display: inline-block;
            width: 24%;
        }
        
        .alert-inner-row span {
            width: 74%;
            display: inline-block;
        }
    {/literal}
    </style>

    <div class="alert-inner-row">
        <span class="alert alert-info">Noch keine Empfehlung angelegt</span>
        <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen verwalten'}&aktion=aendereEmpfehlung" class="btn btn-primary" id="neue-empfehlung"><i class="fa fa-plus"></i></a>
    </div>
{/if}

<script type="text/javascript">
    {literal}
        function openAdviceWindow() {
            $('#empfehlung').css("left", $(window).width() / 2 - 270);
            $('#empfehlung').show('slow');
        }
    {/literal}
</script>

<style type="text/css">
    {literal}	
        .table td {
            vertical-align: middle !important;
        }
    {/literal}
</style>