{if $fehler != ''}
	<p class="message">{$fehler}</p>
{/if}

{if $alleMitarbeiter|count}
<a class="mitarbeiterHinzufuegen" style="background: url('{$cPluginPfad}icons/hinzufuegen.png') no-repeat 0 2px transparent" onclick="openUploadWindow(); return false;" href="#">Neuer Mitarbeiter</a>

<table>
	<thead>
		<tr>
			<th>Name</th>
			<th>Vorname</th>
			<th>Google+</th>
			<th>Verlinkung</th>
			<th>Avatar</th>
			<th>Optionen</th>
		</tr>
	</thead>
	<tbody>
		{foreach from=$alleMitarbeiter item=mitarbeiter}
		<tr>{$ShopURL}
			<td>{$mitarbeiter->mNachname}</td>
			<td>{$mitarbeiter->mVorname}</td>
			<td>{$mitarbeiter->mGoogle}</td>
			<td>{$mitarbeiter->mCMS}</td>
			<td>{if $mitarbeiter->mAvatar==''}
					<a href="#" onclick="oeffneUploadFenster({$mitarbeiter->id}); return false;"> 
						<img src="{$cPluginPfad}icons/noAvatar.png" alt="Avatar" title="Avatar hinzuf&uuml;gen" />
					</a>
				{else}
					<a href="#" onclick="oeffneUploadFenster({$mitarbeiter->id}); return false;"> 	
						<img class="avatar" src="{$URL_SHOP}{$cBilderPfad}{$mitarbeiter->mAvatar}" alt="{$mitarbeiter->mNachname}" title="Avatar &auml;ndern" />
					</a>
				{/if}
			</td>
			<td>
				<a onclick="return confirm('Mitarbeiter und zuge&ouml;rige Empfehlungen l&ouml;schen?')"  href="plugin.php?kPlugin={$kPlugin}&kPluginAdminMenu={getAdminMenu name='Mitarbeiter verwalten'}&aktion=loescheMitarbeiter&mitarbeiterID={$mitarbeiter->id}">
					<img src="{$cPluginPfad}icons/loeschen.png" alt="Loeschen" title="L&ouml;schen" />
				</a> 
				<a  href="#" onclick="openChangeWindow({$mitarbeiter->id},'{$mitarbeiter->mNachname}','{$mitarbeiter->mVorname}','{$mitarbeiter->mGoogle}','{$mitarbeiter->mCMS}','{$mitarbeiter->mLinkArt}'); return false;">
					<img src="{$cPluginPfad}icons/bearbeiten.png" alt="Bearbeiten" title="Bearbeiten" />
				</a> 
			</td>
		{/foreach}
		</tr>
	</tbody>
</table>
{else}
	<p class="message">Noch keine Mitarbeiter angelegt!</p>
	<a class="mitarbeiterHinzufuegen" style="background: url('{$cPluginPfad}icons/hinzufuegen.png') no-repeat 0 2px transparent" onclick="openUploadWindow(); return false;" href="#">Neuer Mitarbeiter</a>
{/if}

{include file="$absPluginPfad/template/mitarbeiter_anlegen.tpl"}
{include file="$absPluginPfad/template/upload_popup.tpl"}

<script type="text/javascript">
{literal}
	function oeffneUploadFenster(id) {
		$('#mitarbeiterIDava').val(id);
		$('#upload').css("left", $(window).width() / 2 - 270);
		$('#upload').show('slow');
	} 
	
	$('#upload').draggable({
		handle: "#handle"
	});
	
	function openUploadWindow() {
		$('#mitarbeiter').css("left", $(window).width() / 2 - 270);
		$('#mitarbeiter').show('slow');
	} 
	
	$('#mitarbeiter').draggable({
		handle: "#handle"
	});
	
	function openChangeWindow(id, name, vorname, google, cms, linkArt) {
		$('#mitarbeiterID').val(id);
		$('#mName').val(name);
		$('#mVorname').val(vorname);
		$('#mGoogle').val(google);
		$('#mCMS').val(cms);
		
		if (linkArt == 'extern') {
			$('#optionExtern').attr('selected',true);
		} else{
			$('#optionShop').attr('selected',true);
		}
		
		$('#mitarbeiterBearbeiten').css("left", $(window).width() / 2 - 270);
		$('#mitarbeiterBearbeiten').show('slow');
	} 
	
	$('#mitarbeiterBearbeiten').draggable({
		handle: "#handle"
	});
{/literal}
</script>