<script type="text/javascript" src="{$URL_SHOP}/{$smarty.const.PFAD_CKEDITOR}/adapters/jquery.js"></script>  

{if $alleMitarbeiter|count}
    <form id="empfehlung" method="post" action="plugin.php?kPlugin={$oPlugin->kPlugin}">
        <input type="hidden" name="kPlugin" value="{$oPlugin->kPlugin}" />
        <input type="hidden" name="kPluginAdminMenu" value="{getAdminMenu name='Empfehlungen verwalten'}" />
        <input type="hidden" name="aktion" value="{if !$aendereEmpfehlung}empfehlungSpeichern{else}bearbeiteEmpfehlung{/if}" />

        <input type="hidden" name="artikelID" value="{$empfArtikelID}" />
        <input type="hidden" name="artikelBild" value="{$empfArtikelBild}" />
        <input type="hidden" name="artikelName" value="{$empfArtikelName}" />
        <input type="hidden" name="empfehlungsID" value="{$empfehlungsID}" />
        <input type="hidden" name="kategorieID" value="{$empfKategorieID}" />
        <input type="hidden" name="kategorieName" value="{$empfKategorieName}" />

        {*{if !$aendereEmpfehlung}*}
        <div class="input-group">
            <button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="right" title="" data-original-title="Die Empfehlung kann bei einem Artikel, einer Kategorie oder beidem angezeigt werden.">
                <i class="fa fa-exclamation"></i>
            </button>
        </div>
        
        <div class="input-group">
            <span class="input-group-addon">
                <label for="ajax-search">Artikel ausw&auml;hlen</label>
            </span>
            <span class="input-group-wrap ajax_search artikel" ref="artikel">
                <input id="ajax-search" type="text" class="search form-control" value="{$empfArtikelName}" placeholder="Artikelname/-nummer eingeben..." />
                <div class="results_wrapper">
                    <table class="results table table-hover small" style="margin-bottom: 0;">
                    </table>
                </div>
            </span>
            <span class="input-group-addon">
                <button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Bei welchem Artikel soll diese Empfehlung erscheinen?">
                    <i class="fa fa-question"></i>
                </button>
            </span>
        </div>
        <div class="input-group">
            <span class="input-group-addon">
                <label for="ajax-search">Kategorie ausw&auml;hlen</label>
            </span>
            <span class="input-group-wrap ajax_search kategorie" ref="kategorie">
                <input id="ajax-search" type="text" class="search form-control" value="{$empfKategorieName}" placeholder="Kategoriename eingeben..." />
                <div class="results_wrapper">
                    <table class="results table table-hover small" style="margin-bottom: 0;">
                    </table>
                </div>
            </span>
            <span class="input-group-addon">
                <button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Bei welcher Kategorie soll diese Empfehlung erscheinen?">
                    <i class="fa fa-question"></i>
                </button>
            </span>
        </div>
        <div class="input-group">
            <span class="input-group-addon">
                <label for="alleMitarbeiterAuswahl">Mitarbeiter ausw&auml;hlen</label>
            </span>
            <span class="input-group-wrap">
                <select id="alleMitarbeiterAuswahl" name="mitarbeiterID" class="form-control combo">
                    {foreach from=$alleMitarbeiter item=mitarbeiter}
                        <option value="{$mitarbeiter->id}" {if $mitarbeiter->id == $von_mitarbeiter}selected{/if}>{$mitarbeiter->mVorname} {$mitarbeiter->mNachname}</option>
                    {/foreach}
                </select>
            </span>
        </div>
        {*{/if}*}

        {if $artikelAuswahlErforderlich=='nein'}
            <div class="input-group">
                <span class="input-group-addon">
                    <label for="alleMitarbeiterAuswahl">Empfehlungstext{if $aendereEmpfehlung} &auml;ndern{/if}</label>
                </span>
                <span class="input-group-wrap">
                    <textarea name="empfehlungsText" class="ckeditor form-control">{$empfehlungstextCache}</textarea>
                </span>
            </div>

            <input type="submit" value="Speichern" class="btn btn-primary" />
        {/if}

        <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen verwalten'}&aktion=abbrechen" class="btn btn-default">Abbrechen</a>
    </form>
{else}
    <div class="alert alert-danger">Es muss mindestens ein Mitarbeiter angelegt sein, um eine Empfehlung erstellen zu k&ouml;nnen</div>
{/if}

<script type="text/javascript">
    {literal}	
    $(function () {
        var t;
        $('.ajax_search .search').keyup(function () {
            var P = $(this).parents('.ajax_search');
            P.find('.results').html('<img src=\"//cdn.jtl-stollen.de/assets/img/loading.gif\" />');
            if (t) {
                clearTimeout(t);
                t = setTimeout(function () {
                    doSearch(P)
                }, 500);
            } else {
                t = setTimeout(function () {
                    doSearch(P)
                }, 500);
            }
        });

        doSearch = function (target) {
            var searchTerm = target.find('.search').val();

            if(target.hasClass('kategorie')) {
                if (searchTerm.length > 0)
                {
                    $.ajax({
                        url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jstMitarbeiterEmpfehlung.ajax.php?aktion=suche',
                        type: "POST",
                        data: {{/literal}'st': searchTerm, 'was': 'kategorie', 'id': '{$empfehlungsID}', 'kArtikel': '{$empfArtikelID}', 'kArtikelName': '{$empfArtikelName}', 'update': '{$aendereEmpfehlung}'{literal}},
                        success: function (data) {
                            target.find('.results').html(data);
                        }
                    });
                }
            } else if(target.hasClass('artikel')) {
                if (searchTerm.length > 0)
                {
                    $.ajax({
                        url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jstMitarbeiterEmpfehlung.ajax.php?aktion=suche',
                        type: "POST",
                        data: {{/literal}'st': searchTerm, 'was': 'artikel', 'id': '{$empfehlungsID}', 'kKategorie': '{$empfKategorieID}', 'kKategorieName': '{$empfKategorieName}', 'update': '{$aendereEmpfehlung}'{literal}},
                        success: function (data) {
                            target.find('.results').html(data);
                        }
                    });
                }
            }
        };
    });

    $('textarea.ckeditor').ckeditor();
    if (typeof CKEDITOR != 'undefined')
    {
        CKEDITOR.config.startupMode = 'wysiwyg';
        CKEDITOR.config.htmlEncodeOutput = false;
        CKEDITOR.config.entities = false;
        CKEDITOR.config.enterMode = 2;
        CKEDITOR.config.entities_latin = true;
        CKEDITOR.config.entities_greek = true;
        CKEDITOR.config.filebrowserBrowseUrl = '{$URL_SHOP}/includes/libs/kcfinder/browse.php?type=files';
        CKEDITOR.config.filebrowserImageBrowseUrl = '{$URL_SHOP}/includes/libs/kcfinder/browse.php?type=images';
        CKEDITOR.config.filebrowserFlashBrowseUrl = '{$URL_SHOP}/includes/libs/kcfinder/browse.php?type=flash';
        CKEDITOR.config.filebrowserUploadUrl = '{$URL_SHOP}/includes/libs/kcfinder/upload.php?type=files';
        CKEDITOR.config.filebrowserImageUploadUrl = '{$URL_SHOP}/includes/libs/kcfinder/upload.php?type=images';
        CKEDITOR.config.filebrowserFlashUploadUrl = '{$URL_SHOP}/includes/libs/kcfinder/upload.php?type=flash';
    }
    {/literal}
</script>