{if isset($fehler) && $fehler != ''}
    <p class="message">{$fehler}</p>
{/if}

{if $alleMitarbeiter|count}
    <table class="table">
        <thead>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Vorname</th>
                <th>Verlinkung</th>
                <th>Avatar</th>
                <th>WhatsApp</th>
                <th>Telefon</th>
                <th>Text</th>
                <th>Optionen</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$alleMitarbeiter item=mitarbeiter}
                <tr>
                    <td>{$mitarbeiter->id}</td>
                    <td>{$mitarbeiter->mNachname}</td>
                    <td>{$mitarbeiter->mVorname}</td>
                    <td>{$mitarbeiter->mCMS}</td>
                    <td>
                        {if $mitarbeiter->mAvatar==''}
                            <a href="#" onclick="oeffneUploadFenster({$mitarbeiter->id}); return false;"><img src="{$oPlugin->cAdminmenuPfadURL}icons/noAvatar.png" alt="Avatar" title="Avatar hinzuf&uuml;gen" /></a>
                            {else}
                            <a href="#" onclick="oeffneUploadFenster({$mitarbeiter->id}); return false;"><img class="avatar" src="{$URL_SHOP}/{$cBilderPfad}{$mitarbeiter->mAvatar}" alt="{$mitarbeiter->mNachname}" title="Avatar &auml;ndern" /></a>
                            {/if}
                    </td>
                    <td>{$mitarbeiter->mWhatsApp}</td>
                    <td>{$mitarbeiter->mTelefon}</td>
                    <td>{$mitarbeiter->mText}</td>
                    <td>
                        <a onclick="return confirm('Mitarbeiter und zuge&ouml;rige Empfehlungen l&ouml;schen?')"  href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Mitarbeiter verwalten'}&aktion=loescheMitarbeiter&mitarbeiterID={$mitarbeiter->id}"><img src="{$oPlugin->cAdminmenuPfadURL}icons/loeschen.png" alt="Loeschen" title="L&ouml;schen" /></a> 
                        <a  href="#" onclick="openChangeWindow({$mitarbeiter->id}, '{$mitarbeiter->mNachname|escape:"quotes"}', '{$mitarbeiter->mVorname|escape:"quotes"}', '{$mitarbeiter->mCMS|escape:"quotes"}', '{$mitarbeiter->mLinkArt|escape:"quotes"}', '{$mitarbeiter->mWhatsApp|escape:"quotes"}', '{$mitarbeiter->mTelefon|escape:"quotes"}', '{$mitarbeiter->mText|escape:"quotes"}'); return false;"><img src="{$oPlugin->cAdminmenuPfadURL}icons/bearbeiten.png" alt="Bearbeiten" title="Bearbeiten" /></a> 
                    </td>
                </tr>
            {/foreach}
        </tbody>
    </table>
{else}
    <div class="alert alert-danger">Noch keine Mitarbeiter angelegt!</div>
{/if}
<button id="neuerMitarbeiter" class="btn btn-primary">Neuen Mitarbeiter hinzuf&uuml;gen</button>


<div id="mitarbeiterBearbeiten" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <form method="post" action="plugin.php?kPlugin={$oPlugin->kPlugin}" class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Mitarbeiter bearbeiten</h4>
            </div>
            <div class="modal-body">
                <input type="hidden" name="kPlugin" value="{$oPlugin->kPlugin}" />
                <input type="hidden" name="kPluginAdminMenu" value="{getAdminMenu name='Mitarbeiter verwalten'}" />
                <input type="hidden" name="aktion" value="bearbeiteMitarbeiter" />
                <input type="hidden" name="mitarbeiterID" value="" id="mitarbeiterID" class="form-control" />

                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="mVorname">Vorname</label>
                    </span>
                    <span class="input-group-wrap">
                        <input type="text" id="mVorname" name="mVorname" class="form-control" />
                    </span>
                    <span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Vorname des Autors"><i class="fa fa-question"></i></button></span>
                </div>

                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="mName">Nachname</label>
                    </span>
                    <span class="input-group-wrap">
                        <input type="text" id="mName" name="mName" class="form-control" />
                    </span>
                    <span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Nachname des Autors"><i class="fa fa-question"></i></button></span>
                </div>

                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="mCMS">Verlinkung</label>
                    </span>
                    <span class="input-group-wrap">
                        <input type="text" id="mCMS" name="mCMS" class="form-control" />
                    </span>
                    <span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Ziel der Verlinkung"><i class="fa fa-question"></i></button></span>
                </div>

                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="mLinkArt">Art der Verlinkung</label>
                    </span>
                    <span class="input-group-wrap">
                        <select name="mLinkArt" id="mLinkArt" class="form-control combo">
                            <option value="extern">Externe Verlinkung</option>
                            <option selected value="shop">Shop-interne Seite</option>
                        </select>
                    </span>
                    <span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Verlinkung auf externe URL oder interne Shop-Seite?"><i class="fa fa-question"></i></button></span>
                </div>
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="mWhatsApp">WhatsApp</label>
                    </span>
                    <span class="input-group-wrap">
                        <input type="text" id="mWhatsApp" name="mWhatsApp" class="form-control" />
                    </span>
                    <span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="WhatsApp des Autors"><i class="fa fa-question"></i></button></span>
                </div>
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="mTelefon">Telefon</label>
                    </span>
                    <span class="input-group-wrap">
                        <input type="text" id="mTelefon" name="mTelefon" class="form-control" />
                    </span>
                    <span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Telefon des Autors"><i class="fa fa-question"></i></button></span>
                </div>
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="mText">Text</label>
                    </span>
                    <span class="input-group-wrap">
                        <input type="text" id="mText" name="mText" class="form-control" />
                    </span>
                    <span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Text des Autors"><i class="fa fa-question"></i></button></span>
                </div>
            </div>
            <div class="modal-footer">
                <button type="reset" class="btn btn-default" data-dismiss="modal">Abbrechen</button>
                <button type="submit" class="btn btn-primary">Speichern</button>
            </div>
        </form>
    </div>
</div>

<div id="upload" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <form method="post" enctype="multipart/form-data" action="plugin.php?kPlugin={$oPlugin->kPlugin}" class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Avatar bearbeiten</h4>
            </div>
            <div id="handle" class="modal-body">
                <input type="hidden" name="kPlugin" value="{$oPlugin->kPlugin}" />
                <input type="hidden" name="kPluginAdminMenu" value="{getAdminMenu name='Mitarbeiter verwalten'}" />
                <input type="hidden" name="aktion" value="speichereAvatar" />
                <input type="hidden" name="mitarbeiterID" value="" id="mitarbeiterIDava" class="form-control" />

                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="file">Bild w&auml;hlen</label>
                    </span>
                    <span class="input-group-wrap">
                        <input id="file" type="file" name="file" class="form-control" />
                    </span>
                    <span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Mitarbeiter-Avatar w&auml;hlen"><i class="fa fa-question"></i></button></span>
                </div>

            </div>
            <div class="modal-footer">
                <button type="reset" class="btn btn-default" data-dismiss="modal">Abbrechen</button>
                <button type="submit" class="btn btn-primary">Speichern</button>
            </div>
        </form>
    </div>
</div>


<script type="text/javascript">
    {literal}

        $('button#neuerMitarbeiter').click(function () {
            $('#mitarbeiterBearbeiten').modal();
        });

        $('#mitarbeiterBearbeiten, #upload').on('hidden.bs.modal', function (e) {
            $(this).find('select.form-control, input.form-control').val('');
        });

        function oeffneUploadFenster(id) {
            $('#mitarbeiterIDava').val(id);
            $('#upload').modal();
        }

        function openChangeWindow(id, name, vorname, cms, linkArt, whatsapp, telefon, text) {
            $('#mitarbeiterID').val(id);
            $('#mName').val(name);
            $('#mVorname').val(vorname);
            $('#mCMS').val(cms);
            $('#mLinkArt > option[value=' + linkArt + ']').prop('selected', true);
            $('#mWhatsApp').val(whatsapp);
            $('#mTelefon').val(telefon);
            $('#mText').val(text);
            $('#mitarbeiterBearbeiten').modal();
        }
    {/literal}
</script>

<style type="text/css">
    {literal}	
        .table td {
            vertical-align: middle !important;
        }

        .avatar {
            width: 32px;
            height: auto;
        }
    {/literal}
</style>