{if $oEmpfehlung_arr|count}
    <div class="container-block beveled">
        {* Prüft ob alle Artikel im FE angezeigt werden und gibt alle Empfehlungen aus *}
        {if $conf == "1"}
            {foreach from=$oEmpfehlung_arr item=oEmpfehlung}
                <div class="jst_me{$oEmpfehlung->eMitarbeiter} jst_mitarbeiter_empfehlung_v4 row">
                    {if isset($oEmpfehlung->oArtikel->cName)}
                        <div class="artikelbox col-md-3">
                            {if $oEmpfehlung->oHersteller->cBildpfad != ''}
                                <div class="hersteller">
                                    <a href="{$oEmpfehlung->oHersteller->cSeo}">
                                        <img src="{$oEmpfehlung->oHersteller->cBildpfadKlein}" alt="{$oEmpfehlung->oHersteller->cName}" title="{$oEmpfehlung->oHersteller->cName}"/>
                                    </a>
                                </div>
                            {/if}
                            <div class="clear"></div>
                            <div class="artikelBild">
                                <a href="{$oEmpfehlung->oArtikel->cSprachURL}">
                                    <img src="{$oEmpfehlung->oArtikel->Bilder.0->cPfadNormal}" alt="{$oEmpfehlung->oArtikel->cName}" title="{$oEmpfehlung->oArtikel->cName}"/>
                                </a>
                            </div>
                            <div class="artikelNameHeader"><a href="{$oEmpfehlung->oArtikel->cSprachURL}">{$oEmpfehlung->oArtikel->cName}</a></div>
                            <div class="article_price">
                                <ul>
                                    <li>
                                        <span class='price_label'>
                                            {if $oEmpfehlung->oArtikel->nVariationsAufpreisVorhanden == 1 || $oEmpfehlung->oArtikel->bHasKonfig}
                                                {lang key='priceStarting'}
                                            {elseif $oEmpfehlung->oArtikel->Preise->rabatt > 0}
                                                {lang key='nowOnly'}
                                            {elseif $oEmpfehlung->oArtikel->Preise->Sonderpreis_aktiv}
                                                {lang key='specialPrice'}
                                            {/if}
                                        </span>
                                        <span class='price'>{$oEmpfehlung->oArtikel->Preise->cVKLocalized.0}</span>
                                    </li>
                                    <li>
                                        <span class='vat_info'>{$oEmpfehlung->oArtikel->cMwstVersandText}</span>
                                    </li>
                                </ul>
                            </div>
                            <a href="{$oEmpfehlung->oArtikel->cSprachURL}" class="btn btn-default btn-sm">{lang key='details'}</a>
                        </div>
                    {else}
                        {if !$noButton}
                            <div class="kategoriebox artikelbox col-md-3">
                                <div class="article_price">
                                    <ul>
                                        <li>
                                            <p>{$oEmpfehlung->cNameKategorie}</p>
                                        </li>
                                        <li>
                                            <a href="{$URL_SHOP}/{$oEmpfehlung->cSeoKategorie}" class="btn btn-default btn-sm">{$details_kategorie}</a>
                                        </li>
                                    </ul>
                                
                                </div>
                            </div>
                        {/if}
                    {/if}        
                    <div class="jst_artikel col-md-9">
                        <div class="empfehlungs-row">
                            <fieldset>
                                <legend>
                                    {if $oEmpfehlung->mURL}
                                        <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                            {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                                        </a>
                                    {else}
                                        {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                                    {/if}
                                </legend>
                                <div class="jst_mitarbeiter col-md-4">
                                    {if $oEmpfehlung->mURL}
                                        <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                            <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}"/></div>
                                        </a>
                                    {else}
                                        <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mNachname} {$oEmpfehlung->mNachname}"/></div>
                                    {/if}
                                </div>
                                <div class="artikelEmpfehlung text-justify col-md-8">
                                    <div class="empfehlungsText">{$oEmpfehlung->eText}</div>
                                </div>
                            </fieldset>
                        </div>
                        {if $oEmpfehlung->mURL}
                            <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                {$avatarHover} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                            </a>
                        {/if}
                    </div>
                </div>
                <hr>	
            {/foreach}
        {* Nur Artikel mit Lagerbestand >0 oder LagerBeachten ='N' und Empfehlungen dazu (Empgfehlungen für Artikel LB<0 werden nicht angezeigt) *}
        {elseif $conf == "2"}
            {foreach from=$oEmpfehlung_arr item=oEmpfehlung}
                {if $oEmpfehlung->oArtikel->fLagerbestand > '0' || $oEmpfehlung->oArtikel->cLagerBeachten == 'N'  || isset($oEmpfehlung->cNameKategorie)}
                    <div class="jst_me{$oEmpfehlung->eMitarbeiter} jst_mitarbeiter_empfehlung_v4 row">
                        {if isset($oEmpfehlung->oArtikel->cName)}
                            <div class="artikelbox col-md-3">
                                {if $oEmpfehlung->oHersteller->cBildpfad != ''}
                                    <div class="hersteller">
                                        <a href="{$oEmpfehlung->oHersteller->cSeo}">
                                            <img src="{$oEmpfehlung->oHersteller->cBildpfadKlein}" alt="{$oEmpfehlung->oHersteller->cName}" title="{$oEmpfehlung->oHersteller->cName}"/>
                                        </a>
                                    </div>
                                {/if}
                                <div class="clear"></div>
                                <div class="artikelBild">
                                    <a href="{$oEmpfehlung->oArtikel->cSprachURL}">
                                        <img src="{$oEmpfehlung->oArtikel->Bilder.0->cPfadNormal}" alt="{$oEmpfehlung->oArtikel->cName}" title="{$oEmpfehlung->oArtikel->cName}"/>
                                    </a>
                                </div>
                                <div class="artikelNameHeader"><a href="{$oEmpfehlung->oArtikel->cSprachURL}">{$oEmpfehlung->oArtikel->cName}</a></div>
                                <div class="article_price">
                                    <ul>
                                        <li>
                                            <span class='price_label'>
                                                {if $oEmpfehlung->oArtikel->nVariationsAufpreisVorhanden == 1 || $oEmpfehlung->oArtikel->bHasKonfig}
                                                    {lang key='priceStarting'}
                                                {elseif $oEmpfehlung->oArtikel->Preise->rabatt > 0}
                                                    {lang key='nowOnly'}
                                                {elseif $oEmpfehlung->oArtikel->Preise->Sonderpreis_aktiv}
                                                    {lang key='specialPrice'}
                                                {/if}
                                            </span>
                                            <span class='price'>{$oEmpfehlung->oArtikel->Preise->cVKLocalized.0}</span>
                                        </li>
                                        <li>
                                            <span class='vat_info'>{$oEmpfehlung->oArtikel->cMwstVersandText}</span>
                                        </li>
                                    </ul>
                                </div>
                                <a href="{$oEmpfehlung->oArtikel->cSprachURL}" class="btn btn-default btn-sm">{lang key='details'}</a>
                            </div>
                        {else}
                            {if !$noButton}
                                <div class="kategoriebox artikelbox col-md-3">
                                    <div class="article_price">
                                        <ul>
                                            <li>
                                                <p>{$oEmpfehlung->cNameKategorie}</p>
                                            </li>
                                            <li>
                                                <a href="{$URL_SHOP}/{$oEmpfehlung->cSeoKategorie}" class="btn btn-default btn-sm">{$details_kategorie}</a>
                                            </li>
                                        </ul>
                                    
                                    </div>
                                </div>
                            {/if}
                        {/if}
            
                        <div class="jst_artikel col-md-9">
                            <div class="empfehlungs-row">
                                <fieldset>
                                    <legend>
                                        {if $oEmpfehlung->mURL}
                                            <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                                {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                                            </a>
                                        {else}
                                            {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                                        {/if}
                                    </legend>
                                    <div class="jst_mitarbeiter col-md-4">
                                        {if $oEmpfehlung->mURL}
                                            <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                                <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}"/></div>
                                            </a>
                                        {else}
                                            <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mNachname} {$oEmpfehlung->mNachname}"/></div>
                                        {/if}
                                    </div>
                                    <div class="artikelEmpfehlung text-justify col-md-8">
                                        <div class="empfehlungsText">{$oEmpfehlung->eText}</div>
                                    </div>
                                </fieldset>
                            </div>
                            {if $oEmpfehlung->mURL}
                                <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                    {$avatarHover} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                                </a>
                            {/if}
                        </div>
                    </div>
                    <hr>
                {/if}
            {/foreach}
        {* Nur Artikel mit Lagerbestand >0 oder deren Lagerbestand <0 werden darf und Empfehlungen dazu *}
        {else}
            {foreach from=$oEmpfehlung_arr item=oEmpfehlung}
                {if $oEmpfehlung->oArtikel->fLagerbestand > '0' || $oEmpfehlung->oArtikel->cLagerBeachten == 'N' || $oEmpfehlung->oArtikel->cLagerKleinerNull == 'Y' || isset($oEmpfehlung->cNameKategorie)}
                    <div class="jst_me{$oEmpfehlung->eMitarbeiter} jst_mitarbeiter_empfehlung_v4 row">
                        {if isset($oEmpfehlung->oArtikel->cName)}
                            <div class="artikelbox col-md-3">
                                {if $oEmpfehlung->oHersteller->cBildpfad != ''}
                                    <div class="hersteller">
                                        <a href="{$oEmpfehlung->oHersteller->cSeo}">
                                            <img src="{$oEmpfehlung->oHersteller->cBildpfadKlein}" alt="{$oEmpfehlung->oHersteller->cName}" title="{$oEmpfehlung->oHersteller->cName}"/>
                                        </a>
                                    </div>
                                {/if}
                                <div class="clear"></div>
                                <div class="artikelBild">
                                    <a href="{$oEmpfehlung->oArtikel->cSprachURL}">
                                        <img src="{$oEmpfehlung->oArtikel->Bilder.0->cPfadNormal}" alt="{$oEmpfehlung->oArtikel->cName}" title="{$oEmpfehlung->oArtikel->cName}"/>
                                    </a>
                                </div>
                                <div class="artikelNameHeader"><a href="{$oEmpfehlung->oArtikel->cSprachURL}">{$oEmpfehlung->oArtikel->cName}</a></div>
                                <div class="article_price">
                                    <ul>
                                        <li>
                                            <span class='price_label'>
                                                {if $oEmpfehlung->oArtikel->nVariationsAufpreisVorhanden == 1 || $oEmpfehlung->oArtikel->bHasKonfig}
                                                    {lang key='priceStarting'}
                                                {elseif $oEmpfehlung->oArtikel->Preise->rabatt > 0}
                                                    {lang key='nowOnly'}
                                                {elseif $oEmpfehlung->oArtikel->Preise->Sonderpreis_aktiv}
                                                    {lang key='specialPrice'}
                                                {/if}
                                            </span>
                                            <span class='price'>{$oEmpfehlung->oArtikel->Preise->cVKLocalized.0}</span>
                                        </li>
                                        <li>
                                            <span class='vat_info'>{$oEmpfehlung->oArtikel->cMwstVersandText}</span>
                                        </li>
                                    </ul>
                                </div>
                                <a href="{$oEmpfehlung->oArtikel->cSprachURL}" class="btn btn-default btn-sm">{lang key='details'}</a>
                            </div>
                        {else}
                            {if !$noButton}
                                <div class="kategoriebox artikelbox col-md-3">
                                    <div class="article_price">
                                        <ul>
                                            <li>
                                                <p>{$oEmpfehlung->cNameKategorie}</p>
                                            </li>
                                            <li>
                                                <a href="{$URL_SHOP}/{$oEmpfehlung->cSeoKategorie}" class="btn btn-default btn-sm">{$details_kategorie}</a>
                                            </li>
                                        </ul>
                                    
                                    </div>
                                </div>
                            {/if}
                        {/if}
            
                        <div class="jst_artikel col-md-9">
                            <div class="empfehlungs-row">
                                <fieldset>
                                    <legend>
                                        {if $oEmpfehlung->mURL}
                                            <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                                {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                                            </a>
                                        {else}
                                            {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                                        {/if}
                                    </legend>
                                    <div class="jst_mitarbeiter col-md-4">
                                        {if $oEmpfehlung->mURL}
                                            <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                                <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}"/></div>
                                            </a>
                                        {else}
                                            <div class="mitarbeiterAvatar"><img src="{$oEmpfehlung->mAvatar}" alt="{$oEmpfehlung->mNachname} {$oEmpfehlung->mNachname}"/></div>
                                        {/if}
                                    </div>
                                    <div class="artikelEmpfehlung text-justify col-md-8">
                                        <div class="empfehlungsText">{$oEmpfehlung->eText}</div>
                                    </div>
                                </fieldset>
                            </div>
                            {if $oEmpfehlung->mURL}
                                <a href="{$oEmpfehlung->mURL}" target="{$oEmpfehlung->mTarget}" title="{$mitarbeiterSeiteBesuchen} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}">
                                    {$avatarHover} {$oEmpfehlung->mVorname} {$oEmpfehlung->mNachname}
                                </a>
                            {/if}
                        </div>
                    </div>
                    <hr>
                {/if}
            {/foreach}
        {/if}        
    </div>
{/if}